# GRFError Struct Reference

Information about why GRF had problems during initialisation. More...

`#include <newgrf_config.h>`

## Data Fields
char * | custom_message
| Custom message (if present).
char * | data
| Additional data for message and custom_message.
StringID | message
| Default message.
StringID | severity
| Info / Warning / Error / Fatal.
uint8 | num_params
| Number of additinal parameters for message and custom_message (0, 1 or 2).
uint32 | param_value [2]
| Values of GRF parameters to show for message and custom_message.

## Detailed Description

Information about why GRF had problems during initialisation.

Definition at line 51 of file newgrf_config.h.

The documentation for this struct was generated from the following file:

- src/newgrf_config.h